> For the complete documentation index, see [llms.txt](https://docs.0x0.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0x0.ai/0x0-ecosystem/arcane-privacy-wallet/withdrawal-or-unshielding.md).

# Withdrawal or Unshielding

Looking at the `transferFrom` & `transferMultiple` functions you’d see a recurring parameter called `_transferData` this object contains a property called `tType` which signifies the transfer type, this can be either `INTERNAL` or `EXTERNAL`. External transfers tells the contract to unshied the asset being transfered and the address provided as the `_receiver` is assumed to be a non-stealth address.

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0x0.ai/0x0-ecosystem/arcane-privacy-wallet/withdrawal-or-unshielding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
